package net.knarcraft.ffmpegconverter.property;

/**
 * A representation of different stream types
 */
public enum StreamType {

    /**
     * A video stream
     */
    VIDEO,

    /**
     * An audio stream
     */
    AUDIO,

    /**
     * A subtitle stream
     */
    SUBTITLE,

    /**
     * A cover image
     *
     * <p>Cover images are treated as video streams by ffmpeg, so they need special treatment</p>
     */
    COVER_IMAGE,

    /**
     * None of the above
     */
    OTHER

}
